gnutls_x509_ext_export_private_key_usage_period(3)

NAME
gnutls_x509_ext_export_private_key_usage_period - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_export_private_key_usage_period(time_t activation, time_t expiration, gnutls_datum_t * ext);

ARGUMENTS

time_t activation
    The activation time

time_t expiration
    The expiration time

gnutls_datum_t * ext
    The DER-encoded extension data; must be freed using gnutls_free().

DESCRIPTION
This function will convert the periods provided to a private key usage DER encoded extension (2.5.29.16). The ext data will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/